# Class Output

java.lang.Object
com.io7m.certusine.vanilla.internal.jaxb.Output

public class Output extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType>
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element ref="{urn:com.io7m.certusine:configuration:2}Parameters"/>
          </sequence>
          <attribute name="Type" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
          <attribute name="Name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
        </restriction>
      </complexContent>
    </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `name`
  `protected Parameters`
  `parameters`
  `protected String`
  `type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Output()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Gets the value of the name property.
  `Parameters`
  `getParameters()`
  Gets the value of the parameters property.
  `String`
  `getType()`
  Gets the value of the type property.
  `void`
  `setName(String value)`
  Sets the value of the name property.
  `void`
  `setParameters(Parameters value)`
  Sets the value of the parameters property.
  `void`
  `setType(String value)`
  Sets the value of the type property.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### parameters

    protected Parameters parameters

  - ### type

    protected String type

  - ### name

    protected String name

- ## Constructor Details

  - ### Output

    public Output()

- ## Method Details

  - ### getParameters

    public Parameters getParameters()
    Gets the value of the parameters property.
    Returns:
      possible object is `Parameters`

  - ### setParameters

    public void setParameters(Parameters value)
    Sets the value of the parameters property.
    Parameters:
      `value` - allowed object is `Parameters`

  - ### getType

    public String getType()
    Gets the value of the type property.
    Returns:
      possible object is `String`

  - ### setType

    public void setType(String value)
    Sets the value of the type property.
    Parameters:
      `value` - allowed object is `String`

  - ### getName

    public String getName()
    Gets the value of the name property.
    Returns:
      possible object is `String`

  - ### setName

    public void setName(String value)
    Sets the value of the name property.
    Parameters:
      `value` - allowed object is `String`